Subject: Re: CVS domivogt: * Applied fixed restart patch.

From: [email-masked]
Date: 03 Jun 1999 13:43:41 +0200

Mikhael Goikhman <[email-masked]> writes:

  > I think neither "fvwm" nor "fvwm2" is correct here. As it is noted in TODO
  > section of the patch, the right thing is to cut a comparing string from
  > g_args[0]. So, if you have a fvwm binary named /usr/bin/abrakadabra
  > "Restart abrakadabra" must be processed as a native restart (with fvwm
  > arguments added) and other commands - as foreign restarts, even
  > "Restart fvwm2", since it is not the current running program.
  > Is this accessible to everyone? If so, I can implement this.

I think even this isn't enough.  Suppose $PATH contains /foo/bin and
/bar/bin in that order.  Now suppose I said /bar/bin/fvwm to start
fvwm, and there is a "Restart fvwm" in the file -- this will start
/foo/bin/fvwm which is different from /bar/bin/fvwm.

Eek.

kai
-- 
Abort this operation?   [OK]  [Cancel]
--
Visit the official FVWM web page at <URL:http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm-workers" in the
body of a message to [email-masked].
To report problems, send mail to [email-masked]